! F90-Program for the calculation of machine precision

IMPLICIT NONE

REAL tau,wold,wnew

tau=1.0
wold=1.0

DO
  tau=tau/2.0
  wnew=wold+tau
  IF(wnew .EQ. wold)EXIT
END DO

PRINT ’(" tau = ",E12.6)’,2.0*tau

END PROGRAM machine